Subject: bug#28713: Inconvenient usage of defconst in python-mode

From: Noam Postavsky <[email-masked]>
Date: Sat, 07 Oct 2017 20:11:12 -0400

tags 28713 fixed
close 28713 26.1
quit

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Date: Thu, 05 Oct 2017 19:42:52 -0400
>> Cc: [email-masked]
>> 
>> > This is of course a minor hassle, but I wonder if the major mode could/should
>> > use a normal variable (if not a defcustom) instead.
>> 
>> prettify-symbols-alist is not a defcustom, due to some uncertainty over
>> how to produce a reasonable interface for customizing it, if I recall
>> correctly.  So I think the python-mode version should not be a defcustom
>> either, but I see no reason against making it a normal variable:
>
> Thanks, LGTM.

Pushed to emacs-26.

[1: c194fb61c6]: 2017-10-07 19:19:05 -0400
  Make python prettify symbols into a defvar (Bug#28713)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=c194fb61c638490e3510864fe2750814af8c3719